List customers
curl --request GET \
--url https://api-global.fastpaybrasil.com/v1/customers \
--header 'Authorization: Basic <encoded-value>'import requests
url = "https://api-global.fastpaybrasil.com/v1/customers"
headers = {"Authorization": "Basic <encoded-value>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Basic <encoded-value>'}};
fetch('https://api-global.fastpaybrasil.com/v1/customers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"id": "2RhQg9M7ZCg3X3nMb9W1kX8Q",
"gatewayId": "2RhQg9M7ZCg3X3nMb9W1kX8Q",
"name": "John Doe",
"email": "[email protected]",
"documentId": "12345678900",
"documentType": "cpf",
"phoneNumber": "+5511999999999",
"createdAt": "2024-01-15T10:30:00.000Z",
"updatedAt": "2024-01-15T10:30:00.000Z"
}
],
"meta": {
"total": 100,
"page": 1,
"limit": 10,
"totalPages": 10
}
}{
"statusCode": 401,
"message": "Unauthorized"
}Customers
List customers
Returns a paginated list of customers filtered by the provided criteria.
GET
/
v1
/
customers
List customers
Authorizations
HTTP Basic authentication. Use your secret key as the username and an empty string as password. The API key should be base64 encoded in the format 'username:' when sending the Authorization header.
Query Parameters
Search by name, email, document, or phone
Filter by exact email
Filter by document ID
Page number (starts at 1)
Number of items per page
⌘I